MAKEWHATIS.LOCAL(8)

NAME
makewhatis.local, catman.local - start makewhatis or catman for local file systems

SYNOPSIS
/usr/libexec/makewhatis.local [options] directories ...
/usr/libexec/catman.local [options] directories ...

DESCRIPTION
makewhatis.local start makewhatis(1) only for file systems physically mounted on the system where the makewhatis.local is being executed. Running makewhatis by periodic weekly for rw nfs-mounted /usr may kill your NFS server -- all NFS clients start makewhatis at the same time! So use this wrapper for cron(8) instead of calling makewhatis directly. catman.local is using for same purposes as makewhatis.local but for catman(1).

FILES
/etc/periodic/weekly/320.whatis
    run makewhatis.local every week
/etc/periodic/weekly/330.catman
    run catman.local every week

SEE ALSO
catman(1), find(1), makewhatis(1), cron(8), periodic(8).

HISTORY
The makewhatis.local command appeared in FreeBSD 2.2.